#include "stdafx.h"
#include "onetextdlg.h"
#include "resource.h"

bool OneTextDlg::Create(ablib::window::Wnd *parent,const ablib::string &title,const ablib::string &msg,ablib::string &rv){
	m_title = title;
	m_msg = msg;
	m_rv = _T("");
	bool r = (BaseModalDlg::Create(parent,IDD_ONETEXT) != FALSE);
	if(r)rv = m_rv;
	return r;
}

bool OneTextDlg::OnInitDialog(ablib::window::Dialog *wnd){
	wnd->SetTitle(m_title);
	ablib::window::StaticText(wnd,IDC_MSG).SetText(m_msg);
	ablib::window::Edit(wnd,IDC_EDIT).SetFocus();
	return false;
}

bool OneTextDlg::OnCommand(ablib::window::Dialog *wnd,int id,int param){
	switch(id){
	case IDOK:
		m_rv = ablib::window::Edit(wnd,IDC_EDIT).GetText();
		wnd->Destroy(TRUE);
		return true;
	case IDCANCEL:
		wnd->Destroy(FALSE);
		return true;
	default:
		return false;
	}
}