#include "stdafx.h"
#include "ps2pdfset.h"
#include "Setting.h"
#include "resource.h"

extern Setting g_setting;

bool PS2PDFSet::OnInitDialog(ablib::window::Dialog *wnd){
	if(g_setting.PS2PDF_IsGhostScript()){
		ablib::window::CheckBox(wnd,IDC_GHOSTSCRIPT).SetCheck(true);
	}else{
		ablib::window::CheckBox(wnd,IDC_OTHERPROGRAM).SetCheck(true);
	}
	ablib::window::Edit(wnd,IDC_PROGRAM).SetReadOnly(!ablib::window::CheckBox(wnd,IDC_OTHERPROGRAM).GetCheck());
	ablib::window::Edit(wnd,IDC_PROGRAM).SetText(g_setting.PS2PDF_Program());
	ablib::window::Edit(wnd,IDC_OPTION).SetText(g_setting.PS2PDF_Option());
	return true;
}

bool PS2PDFSet::OnCommand(ablib::window::Dialog *wnd,int id,int param){
	switch(id){
	case IDC_GHOSTSCRIPT:
	case IDC_OTHERPROGRAM:
		ablib::window::Edit(wnd,IDC_PROGRAM).SetReadOnly(!ablib::window::CheckBox(wnd,IDC_OTHERPROGRAM).GetCheck());
		return true;

	case IDOK:
		g_setting.WritePS2PDF_IsGhostScript(ablib::window::CheckBox(wnd,IDC_GHOSTSCRIPT).GetCheck());
		g_setting.WritePS2PDF_Program(ablib::window::Edit(wnd,IDC_PROGRAM).GetText());
		g_setting.WritePS2PDF_Option(ablib::window::Edit(wnd,IDC_OPTION).GetText());
		wnd->Destroy(TRUE);
		return true;

	case IDCANCEL:
		wnd->Destroy(FALSE);
		return true;

	default:
		return false;
	}
}
