#include "stdafx.h"
#include "setting.h"
#include "ablib/lexical_cast.h"

Setting::Setting(void){
	TCHAR buf[4096];
	::GetModuleFileName(NULL,buf,4095);
	m_inifile = buf;
	m_inifile.erase(m_inifile.rfind(_T(".")));
	m_inifile += _T(".ini");
}

ablib::string Setting::GetINIStr(const TCHAR *sec,const TCHAR *key){
	TCHAR buf[4096];
	::GetPrivateProfileString(sec,key,_T(""),buf,4095,m_inifile.c_str());
	return ablib::string(buf);
}

void Setting::WriteINIInt(const TCHAR *sec,const TCHAR *key,int val){
	::WritePrivateProfileString(sec,key,ablib::lexical_cast<ablib::string>(val).c_str(),m_inifile.c_str());
}

void Setting::WriteINIStr(const TCHAR *sec,const TCHAR *key,const ablib::string &str){
	ablib::string towrite = str;
	towrite.replace(_T("\""),_T("\"\""));
	::WritePrivateProfileString(sec,key,towrite.c_str(),m_inifile.c_str());
}
