#ifndef __STDAFX_H__
#define __STDAFX_H__

#define NOMINMAX
#include <windows.h>
#include <windowsx.h>
#include <tchar.h>
#include <commctrl.h>
#include <Shlobj.h>

//͎g܂
#include "ablib/string.h"

#define _ABLIB_WINDOW_EDIT_USE_ONIGURUMA

//Rs[֎~
#define NOCOPY(T) T( const T& ); T& operator=( const T& )

//[
#ifndef ASSERT
	#ifdef NDEBUG
		#define ASSERT(C)
	#else
		#include <assert.h>
		#define ASSERT(C) assert(C)
	#endif
#endif

//ł΂p
#ifndef __DEBUGSTRING__
	#define __DEBUGSTRING__
	#ifdef NDEBUG
		inline void DEBUGSTRING(const TCHAR *fmt,...){}
	#else
		#include <stdarg.h>
		#include <stdio.h>
		inline void DEBUGSTRING(const TCHAR *fmt,...){
			va_list args;
			va_start(args,fmt);
			int size = ::_vsctprintf(fmt,args);
			TCHAR *buf = new TCHAR[size + 1];
			if(buf){
				::_vstprintf(buf,fmt,args);
				::OutputDebugString(buf);
				::OutputDebugString(_T("\n"));
				delete[] buf;
			}
			va_end(args);
		}
	#endif
#endif

#endif //__STDAFX_H__
