#ifndef __ABLIB_SYSTEM_DDECLIENT_H__
#define __ABLIB_SYSTEM_DDECLIENT_H__

namespace ablib{
namespace system{

class DdeClient
{
public:
	DdeClient();
	~DdeClient();
	bool Init(const ablib::string &app,const ablib::string &topic);
	bool Terminate();
	int Execute(const ablib::string &exec);
	int Poke(const ablib::string &item,const ablib::string &param);
	ablib::string Request(const ablib::string &item);

private:
	DWORD m_ddeinst;
	HSZ m_service,m_topic;
	ablib::string m_servicestr,m_topicstr;
	bool m_isconnect;
	HCONV m_hconv;

	static HDDEDATA CALLBACK sDdeCallBack(UINT uType,UINT uFmt,HCONV hconv,HSZ hsz1,HSZ hsz2,HDDEDATA hdata,DWORD dwData1,DWORD dwData2);
};

}//namespace system
}//namesapce ablib

#endif //__ABLIB_SYSTEM_DDECLIENT_H__

